/* Weather library module definitions.
   Rick Smereka, Copyright (C) 2002.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, get a copy via the Internet at
   http://gnu.org/copyleft/gpl.html or write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
   MA 02111-1307 USA

   You can contact the author via email at rsmereka@future-lab.com

   Original Linux version Apr/2002, Rick Smereka

   Added prototype 'wlib_wlink_pack_datime'. Dec/2002,
   Rick Smereka */

/* 'wlib_get_field' return codes */

#define WGF_OK 0
#define WGF_BLANK 1
#define WGF_PARM_ERROR 2
#define WGF_NO_SUCH_FIELD 3
#define WGF_MEMORY_FAIL 4
#define WGF_INTERNAL_ERROR 5

#ifdef __cplusplus
extern "C"
{
#endif

int wlib_wdir_desc_2_deg(char *, struct fxp **);
int wlib_get_field(char *, char *, int, char);
int wlib_report_trailer(FILE *, char *, char *, int);
int wlib_wlink_pack_datime(char *, char *, char);

#ifdef __cplusplus
}
#endif
